Hub 2.5 Help

Supported Environments

This page describes the supported environments for JetBrains Hub service.

Java Version

JetBrains Hub requires Java 7+.

Supported Browsers

Hub provides guaranteed support for two last stable versions of the most used browsers:

  1. Google Chrome
  2. Mozilla Firefox
  3. Apple Safari
  4. MS Internet Explorer (Hub supports IE9.0+)
  5. Opera

If you use Internet Explorer...

If you use IE 9.0+ but still find visual inconsistencies or possible problems while viewing Hub, please make sure that Document Mode is set to 'IE9 Mode' or higher in your Internet Explorer. Also, MS IE Document Modes can be enabled globally for the company's intranet. Thus, if your personal Document Mode settings in IE don't solve the problem, you might need to contact your system administrator to check the global intranet settings.

About Document Modes (at microsoft.com) >

Last modified: 20 September 2016